Skip to main content
GET
/
customers
/
integration
/
{integrationType}
/
{integrationId}
Get customer by integration id
curl --request GET \
  --url https://connect.withvayu.com/customers/integration/{integrationType}/{integrationId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://connect.withvayu.com/customers/integration/{integrationType}/{integrationId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://connect.withvayu.com/customers/integration/{integrationType}/{integrationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "customer": {
    "name": "<string>",
    "id": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "aliases": [],
    "contacts": [
      {
        "name": "<string>",
        "email": "<string>",
        "title": "<string>",
        "phone": "<string>",
        "receiveInvoiceEmail": true
      }
    ],
    "legalName": "<string>",
    "taxIds": [],
    "taxId": "<string>",
    "cloudProviderSettings": {
      "cloudProvider": "AWS",
      "cloudProviderMarketplaceId": "<string>",
      "customerIdentifier": "<string>"
    },
    "externalId": "<string>",
    "customerErpId": "<string>",
    "address": {
      "country": "<string>",
      "city": "<string>",
      "addressText": "<string>",
      "state": "<string>",
      "postalCode": "<string>"
    },
    "salesForceAccountId": "<string>",
    "customFields": [
      {
        "vayuCustomFieldName": "<string>",
        "fieldPath": "<string>",
        "value": "<unknown>"
      }
    ],
    "subsidiary": "<string>",
    "totalOutstandingAmount": 123,
    "openAmount": 123,
    "overdueAmount": 123,
    "pendingPaymentAmount": 123,
    "paidAmount": 123
  }
}
{
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"params": [
{
"param": "<string>",
"message": "<string>"
}
]
}
{
"type": "authentication_error",
"code": "authentication_failed",
"message": "<string>"
}
{
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "<string>"
}
{
"type": "rate_limit_error",
"code": "rate_limit_exceeded",
"message": "<string>"
}
{
"type": "api_error",
"code": "internal_error",
"message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

integrationType
enum<string>
required
Available options:
Hubspot,
Stripe,
NetSuite,
Salesforce,
QuickBooks,
Slack,
S3,
Vayu,
Morning,
Anrok,
Snowflake,
Connact,
Xero
integrationId
string
required

Response

response contains the customer matching the provided integration id

customer
object